/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class AllGreek */

#ifndef _Included_AllGreek
#define _Included_AllGreek
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     AllGreek
 * Method:    Init
 * Signature: (Ljava/lang/String;)Z
 */
JNIEXPORT jboolean JNICALL Java_AllGreek_Init
  (JNIEnv *, jobject, jstring);

/*
 * Class:     AllGreek
 * Method:    Destroy
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_AllGreek_Destroy
  (JNIEnv *, jobject);

/*
 * Class:     AllGreek
 * Method:    Greeklish2Greek
 * Signature: (Ljava/lang/String;)Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_AllGreek_Greeklish2Greek
  (JNIEnv *, jobject, jstring);

/*
 * Class:     AllGreek
 * Method:    Greek2Greeklish
 * Signature: (Ljava/lang/String;)Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_AllGreek_Greek2Greeklish
  (JNIEnv *, jobject, jstring);

/*
 * Class:     AllGreek
 * Method:    Greek2GreeklishElot
 * Signature: (Ljava/lang/String;)Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_AllGreek_Greek2GreeklishElot
  (JNIEnv *, jobject, jstring);

/*
 * Class:     AllGreek
 * Method:    Analyse
 * Signature: (Ljava/lang/String;)Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_AllGreek_Analyse
  (JNIEnv *, jobject, jstring);

#ifdef __cplusplus
}
#endif
#endif
